import { SelectType } from '../../models/select-type';
import { SelectValue } from '../../models/select-value';
import { ValidatorError } from '../../utils/validator';
export declare class Select {
    private el;
    center?: boolean;
    error?: boolean;
    hasFocus?: boolean;
    info?: string;
    label?: string;
    name?: string;
    tooltip?: string;
    type: SelectType;
    validation?: string;
    value?: SelectValue;
    private _open;
    private _initialized;
    private _initialValue?;
    private _inputCreator;
    private _options;
    private handleBlur;
    private handleClick;
    private handleDropdownClick;
    private handleFilter;
    private handleFocus;
    private handleSlotChange;
    watchValue(value?: SelectValue): void;
    handleChip(event: CustomEvent): void;
    reset(): Promise<void>;
    validate(silent?: boolean): Promise<ValidatorError[]>;
    private attachEventHandlers;
    private removeEventHandlers;
    private updateDropdown;
    componentDidLoad(): void;
    renderDropdown(): any;
    renderFieldset(): any;
    render(): any;
}
